%global oname jaxb-api
Name:          glassfish-jaxb-api
Version:       2.2.7
Release:       %mkrel 3
Summary:       Java Architecture for XML Binding
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Epoch:         1
URL:           http://jaxb.java.net/
# jaxb api and impl have different version
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_6/tools/lib/redist/jaxb-api-src.zip

Source0:       http://repo1.maven.org/maven2/javax/xml/bind/%{oname}/%{version}/%{oname}-%{version}-sources.jar
Source1:       http://repo1.maven.org/maven2/javax/xml/bind/%{oname}/%{version}/%{oname}-%{version}.pom

Patch0:        %{name}-2.2.6-osgi-support.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: java-javadoc
BuildRequires: jvnet-parent

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-osgi
BuildRequires: maven-surefire-plugin

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
Glassfish - JAXB (JSR 222) API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{oname}
Requires:      %{name} = %epoch:%{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Glassfish - JAXB (JSR 222) API.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c

# fixing incomplete source directory structure
mkdir -p src/main/java

(
  cd src/main/java
  unzip -qq %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml
%patch0 -p0

sed -i 's|<location>${basedir}/offline-javadoc</location>|<location>%{_javadocdir}/java</location>|' pom.xml

%build

mvn-rpmbuild install javadoc:javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{oname}-%{version}.jar %{buildroot}%{_javadir}/%{oname}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{oname}.pom
%add_maven_depmap JPP-%{oname}.pom %{oname}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{oname}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{oname}

%files
%{_javadir}/%{oname}.jar
%{_mavenpomdir}/JPP-%{oname}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{oname}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:2.2.7-3.mga3
+ Revision: 351727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 1:2.2.7-2.mga3
+ Revision: 294817
- Fix require in the javadoc package

* Sat Sep 08 2012 dmorgan <dmorgan> 1:2.2.7-1.mga3
+ Revision: 290427
- New version 2.2.7

* Sat Jun 23 2012 dmorgan <dmorgan> 1:2.2.3-1.mga3
+ Revision: 262857
- Revert to version 2.2.3

* Wed Jun 20 2012 dmorgan <dmorgan> 2.2.6-1.mga3
+ Revision: 262216
- New version 2.2.6

* Tue Jan 17 2012 dmorgan <dmorgan> 2.2.3-2.mga2
+ Revision: 197589
- Clean spec file

  + gil <gil>
    - build fix
      removed jaf apis from pom file (used jvm apis)
      configured maven plugins
      used bea-stax-api instead of glassfish-stax-api
      added OSGi support
    - imported package glassfish-jaxb-api

